import Vue from 'vue'
import Router from 'vue-router'


import homePage from '../components/homePage.vue'
import contract from '../components/contract.vue'
import contacts from '../components/contacts.vue'
import mine from '../components/mine.vue'
import begin from '../components/begin.vue'
import enterpriseCertification from '../components/enterpriseCertification'
import enterpriseInformation from '../components/enterpriseInformation'
import legalPersonality from '../components/legalPersonality'
import certigier from '../components/certigier'
import ECaccomplish from '../components/ECaccomplish'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      component: begin,
      children:[
        {
         path: '/',
         component: homePage
        },
        {
         path: '/contract',
         component: contract
        },
        {
         path: '/contacts',
         component: contacts
        },
        {
         path: '/mine',
         component: mine
        }
      ]
    },
    {
      path: '/enterpriseCertification',
      component: enterpriseCertification,
      children:[
        {
            path:'/',
            component:enterpriseInformation
        },
        {
            path:'/legalPersonality',
            component:legalPersonality
        },
        {
            path:'/certigier',
            component:certigier
        }
      ]
    },
    {
      path: '/ECaccomplish',
      component: ECaccomplish,
    }
  ]
})